package aliyun.demo.gold;

/**
 * ҹ۸ӿ
 */
import java.util.HashMap;
import java.util.Map;

import org.apache.http.HttpResponse;
import org.apache.http.util.EntityUtils;

import aliyun.util.HttpUtils;
import net.sf.json.JSONArray;
import net.sf.json.JSONObject;

public class CurrencyDemo {
	public final static String host = "http://jisugold.market.alicloudapi.com";

	public static void main(String[] args) throws Exception {
		String path = "/gold/currency";
		Map<String, String> headers = new HashMap<String, String>();
		headers.put("Authorization", "APPCODE ԼAppCode");

		// query
		Map<String, String> querys = new HashMap<String, String>();
		try {
			HttpResponse response = HttpUtils.doGet(host, path, "GET", headers, querys);
			// response Head
			// System.out.println(response.toString());
			String result = EntityUtils.toString(response.getEntity());
			JSONObject json = JSONObject.fromObject(result);
			if (json.getInt("status") != 0) {
				System.out.println(json.getString("msg"));
			} else {
				JSONArray resultarr = json.optJSONArray("result");
				for (int i = 0; i < resultarr.size(); i++) {
					JSONObject obj = (JSONObject) resultarr.opt(i);
					String type = obj.getString("type");
					String price = obj.getString("price");
					String changequantity = obj.getString("changequantity");
					String dollarrate = obj.getString("dollarrate");
					String ratechange = obj.getString("ratechange");
					String updatetime = obj.getString("updatetime");
					System.out.println(type + " " + price + " " + changequantity + " " + dollarrate + " " + ratechange
							+ " " + updatetime);
				}
			}
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}
