package aliyun.demo.gold;

/**
 * ׶ؽ۸ӿ
 */
import java.util.HashMap;
import java.util.Map;

import org.apache.http.HttpResponse;
import org.apache.http.util.EntityUtils;

import aliyun.util.HttpUtils;
import net.sf.json.JSONArray;
import net.sf.json.JSONObject;

public class LondonDemo {
	public final static String host = "http://jisugold.market.alicloudapi.com";

	public static void main(String[] args) throws Exception {
		String path = "/gold/london";
		Map<String, String> headers = new HashMap<String, String>();
		headers.put("Authorization", "APPCODE ԼAppCode");

		// query
		Map<String, String> querys = new HashMap<String, String>();
		try {
			HttpResponse response = HttpUtils.doGet(host, path, "GET", headers, querys);
			// response Head
			// System.out.println(response.toString());
			String result = EntityUtils.toString(response.getEntity());
			JSONObject json = JSONObject.fromObject(result);
			if (json.getInt("status") != 0) {
				System.out.println(json.getString("msg"));
			} else {
				JSONArray resultarr = json.optJSONArray("result");
				for (int i = 0; i < resultarr.size(); i++) {
					JSONObject obj = (JSONObject) resultarr.opt(i);
					String type = obj.getString("type");
					String price = obj.getString("price");
					String changepercent = obj.getString("changepercent");
					String changequantity = obj.getString("changequantity");
					String openingprice = obj.getString("openingprice");
					String maxprice = obj.getString("maxprice");
					String minprice = obj.getString("minprice");
					String lastclosingprice = obj.getString("lastclosingprice");
					String amplitude = obj.getString("amplitude");
					String buyprice = obj.getString("buyprice");
					String sellprice = obj.getString("sellprice");
					String updatetime = obj.getString("updatetime");
					System.out.println(type + " " + price + " " + changepercent + " " + changequantity + " "
							+ openingprice + " " + maxprice + " " + minprice + " " + lastclosingprice + " " + amplitude
							+ " " + buyprice + " " + sellprice + " " + updatetime);
				}
			}
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}
